com.comtrade.ecm.engine.datatypes

## Class DecimalNumber

- java.lang.Object
- - com.comtrade.ecm.engine.datatypes.DecimalNumber

-     public class DecimalNumber
      extends java.lang.Object

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecimalNumber(int decimals)`
    `DecimalNumber(int decimals, java.math.BigDecimal value)`
    `DecimalNumber(int decimals, double value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DecimalNumber` | `add(DecimalNumber otherValue)`
    `int` | `compareTo(DecimalNumber other)`
    `boolean` | `equals(java.lang.Object other)`
    `int` | `getPrecision()`
    `java.math.BigDecimal` | `getValue()`
    `int` | `hashCode()`
    `void` | `multiply(java.lang.Integer otherValue)`
    `void` | `setValue(java.math.BigDecimal value)`
    `DecimalNumber` | `subtract(DecimalNumber otherValue)`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(java.util.Locale locale)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DecimalNumber

          public DecimalNumber(int decimals)

    - #### DecimalNumber

          public DecimalNumber(int decimals,
                               double value)

    - #### DecimalNumber

          public DecimalNumber(int decimals,
                               java.math.BigDecimal value)

  - ### Method Detail

    - #### add

          public DecimalNumber add(DecimalNumber otherValue)

    - #### subtract

          public DecimalNumber subtract(DecimalNumber otherValue)

    - #### toString

          public java.lang.String toString(java.util.Locale locale)

    - #### compareTo

          public int compareTo(DecimalNumber other)

    - #### getValue

          public final java.math.BigDecimal getValue()

    - #### getPrecision

          public final int getPrecision()

    - #### setValue

          public final void setValue(java.math.BigDecimal value)

    - #### multiply

          public final void multiply(java.lang.Integer otherValue)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`